org.apache.poi.xssf.usermodel.charts

## Class XSSFScatterChartData

- java.lang.Object
- - org.apache.poi.xssf.usermodel.charts.XSSFScatterChartData

- All Implemented Interfaces:
    ChartData, ScatterChartData

  Deprecated.
  use `XDDFScatterChartData` instead

      @Deprecated
       @Removal(version="4.2")
      public class XSSFScatterChartData
      extends java.lang.Object
      implements ScatterChartData

  Represents DrawingML scatter charts.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSSFScatterChartData()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ScatterChartSeries` | `addSerie(ChartDataSource<?> xs, ChartDataSource<? extends java.lang.Number> ys)` Deprecated.
    `void` | `fillChart(Chart chart, ChartAxis... axis)` Deprecated. Fills a charts with data specified by implementation.
    `java.util.List<? extends org.apache.poi.xssf.usermodel.charts.XSSFScatterChartData.Series>` | `getSeries()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSSFScatterChartData

          public XSSFScatterChartData()

      Deprecated.

  - ### Method Detail

    - #### addSerie

          public ScatterChartSeries addSerie(ChartDataSource<?> xs,
                                             ChartDataSource<? extends java.lang.Number> ys)

      Deprecated.
      Specified by:
        `addSerie` in interface `ScatterChartData`
      Parameters:
        `xs` - data source to be used for X axis values
        `ys` - data source to be used for Y axis values
      Returns:
        a new scatter charts series

    - #### fillChart

          public void fillChart(Chart chart,
                                ChartAxis... axis)

      Deprecated.
      Description copied from interface: `ChartData`
      Fills a charts with data specified by implementation.
      Specified by:
        `fillChart` in interface `ChartData`
      Parameters:
        `chart` - a charts to fill in
        `axis` - charts axis to use

    - #### getSeries

          public java.util.List<? extends org.apache.poi.xssf.usermodel.charts.XSSFScatterChartData.Series> getSeries()

      Deprecated.
      Specified by:
        `getSeries` in interface `ScatterChartData`
      Returns:
        list of all series

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.